Skip to main content
GET
/
v1
/
asset
/
enumerate
/
{enumerate_id}
/
history
Get asset enumeration history data
curl --request GET \
  --url https://api.projectdiscovery.io/v1/asset/enumerate/{enumerate_id}/history \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.projectdiscovery.io/v1/asset/enumerate/{enumerate_id}/history"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.projectdiscovery.io/v1/asset/enumerate/{enumerate_id}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "current_page": 123,
  "result_count": 123,
  "total_pages": 123,
  "total_results": 123,
  "total_enumeration": 123,
  "total_unique_enumeration": 123,
  "data": [
    {
      "enum_id": "<string>",
      "name": "<string>",
      "enum_type": "<string>",
      "enum_started_at": "2023-11-07T05:31:56Z",
      "enum_finished_at": "2023-11-07T05:31:56Z",
      "enumeration_time": "<string>",
      "status": "<string>",
      "new_assets_discovered": 123,
      "total_targets_processed": 123,
      "error_details": "<string>"
    }
  ]
}
{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}
{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}
{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}
{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}
{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}

Authorizations

X-API-Key
string
header
required

Headers

X-Team-Id
string

Path Parameters

enumerate_id
string
required

Query Parameters

offset
integer

The number of items to skip before starting to collect the result set

limit
integer

The numbers of items to return

start_date
string<date>

time filter start date

time_range
enum<string>
default:all_time
Available options:
all_time,
current_month,
last_month,
last_3_months,
last_6_months,
last_12_months
end_date
string<date>

time filter end date

Response

OK

current_page
integer
result_count
integer
total_pages
integer
total_results
integer
total_enumeration
integer<int64>
total_unique_enumeration
integer<int64>
data
EnumerationHistoryDataResponse · object[]